import React from 'react';
import ReactDOM from 'react-dom'; 
import { range } from 'd3';
import { Face } from './Face'; 


const width=120;
const height = width;

const array = range(5);


const App = () => array.map( () => (
	<Face
    width = {width}
    height = {height}
    centerX = {width / 2}
    centerY = {height / 2}
    strokeWidth = {width * 0.04}
    eyeOffsetX = {width * 0.16}
    eyeOffsetY = {width * 0.12}
    eyeRadius = {width * 0.08}    
    irisWidth = {width * 0.04}
    mouthWidth = {width * 0.04}
    mouthRadius = {width * 0.280}
    irisColor = {"white"}
    />
));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);